package ru.kayashov.bar.model.entity;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum Category {
    COCKTAIL("Коктейль"),
    PUNCH("Пунш"),
    SHAKE("Шейк"),
    OTHER("Другие"),
    BEER("Пиво"),
    HOMEMADE_LIQUEUR("Домашний ликер"),
    SHOT("Шот"),
    COCOA("Какао"),
    COFFEE_TEA("Кофе-Чай"),
    SOFT("Безалкогольный напиток"),
    ORDINARY("Обычный напиток");

    private final String name;

    public static Category findValue(String name) {
        for (Category category : Category.values()) {
            if (category.getName().equals(name)) {
                return category;
            }
        }
        throw new IllegalArgumentException();
    }
}
